org.apache.ignite.internal.processors.cache

## Class CacheGroupMetricsMXBeanImpl.GroupAllocationTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupMetricsMXBeanImpl.GroupAllocationTracker

All Implemented Interfaces:
  AllocatedPageTracker

Enclosing class:
  CacheGroupMetricsMXBeanImpl

    public static class CacheGroupMetricsMXBeanImpl.GroupAllocationTracker
    extends Object
    implements AllocatedPageTracker

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.cache.persistence.AllocatedPageTracker

`NO_OP`

### Constructor Summary

Constructors
Constructor and Description
`GroupAllocationTracker(AllocatedPageTracker delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `updateTotalAllocatedPages(long delta)` Updates totalAllocatedPages counter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupAllocationTracker

    public GroupAllocationTracker(AllocatedPageTracker delegate)

Parameters:
  `delegate` - Delegate allocation tracker.

### Method Detail

#### updateTotalAllocatedPages

    public void updateTotalAllocatedPages(long delta)

Updates totalAllocatedPages counter.

Specified by:
  `updateTotalAllocatedPages` in interface `AllocatedPageTracker`
Parameters:
  `delta` - Value to increment by.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019